<app-header></app-header>
<p-breadcrumb [model]="items" [home]="home"></p-breadcrumb>
<div class="main">
  <div class="transferform">
    <h1>Send Money</h1>
    <div class="formcontainer">
      <div style="width: 50%" class="groupwrapper">
        <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
        <span style="width: 100%" class="p-float-label">
          <p-autoComplete
            [(ngModel)]="newTransaction.connection"
            [suggestions]="filteredRelations"
            (completeMethod)="filterRelations($event)"
            field="fullName"
            [dropdown]="true">
            <ng-template let-relation pTemplate="item">
              <div class="relation-item">
                <div>{{ relation.fullName }}</div>
              </div>
            </ng-template>
          </p-autoComplete>
          <label for="autocomplete">Connection</label>
        </span>
      </div>
      <div style="width: 25%" class="groupwrapper">
        <span style="width: 100%" class="p-float-label">
          <input
            id="float-input"
            type="number"
            pInputText
            [(ngModel)]="newTransaction.montant" />
          <label for="float-input">Amount</label>
        </span>
      </div>
      <div style="width: 25%" class="groupwrapper">
        <button
          pButton
          (click)="transferMoney()"
          type="button"
          label="Pay"></button>
      </div>
      <div style="width: 100%" class="groupwrapper">
        <span style="width: 100%" class="p-float-label">
          <input
            id="float-input"
            type="text"
            pInputText
            [(ngModel)]="newTransaction.description" />
          <label for="float-input">Description</label>
        </span>
      </div>
      <p class="paragraph">
        *To help PayMyBuddy to live, a {{ commission }}% commission will be
        applied
      </p>
    </div>
  </div>
  <div class="transfertable">
    <p-table [paginator]="true" [rows]="10" [value]="currentUser.transactions">
      <ng-template pTemplate="header">
        <tr>
          <th pSortableColumn="date" style="width: 15%">
            Date <p-sortIcon field="date"></p-sortIcon>
          </th>
          <th pSortableColumn="connection" style="width: 25%">
            Connection <p-sortIcon field="connection"></p-sortIcon>
          </th>
          <th pSortableColumn="description">
            Description <p-sortIcon field="description"></p-sortIcon>
          </th>
          <th pSortableColumn="montant" style="width: 10%">
            Amount <p-sortIcon field="montant"></p-sortIcon>
          </th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-transaction>
        <tr [ngClass]="verifAmount(transaction.montant) ? 'orange' : 'green'">
          <td>{{ transaction.date | date: 'dd/MM/yy, HH:mm' }}</td>
          <td>
            {{ transaction.connection.firstName }}
            {{ transaction.connection.lastName }}
          </td>
          <td>{{ transaction.description }}</td>
          <td style="font-weight: 500">{{ transaction.montant }} $</td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>
<p-confirmDialog header="Confirmation"> </p-confirmDialog>
